frontend/controllers/SiteController.php
<?php 

namespace frontend\controllers;

use Yii;
use common\models\LoginForm;
use frontend\models\PasswordResetRequestForm;
use frontend\models\ResetPasswordForm;
use frontend\models\SignupForm;
use frontend\models\ContactForm;
use yii\base\InvalidParamException;
use yii\web\BadRequestHttpException;
use yii\web\Controller;
use yii\filters\VerbFilter;
use yii\filters\AccessControl;
use backend\models\PsPosts;
use yii\web\Session;
use yii\helpers\Json;
use frontend\models\FormModel;
use backend\models\search\MembersSearch;
use backend\models\TempShowResultWinter2016;
use backend\models\search\TempShowResultWinter2016Search;
use backend\models\TempShowResultSummer2017;
use backend\models\search\TempShowResultSummer2017Search;
use backend\models\TempShowResultWinter2017;
use backend\models\search\TempShowResultWinter2017Search;
use backend\models\ProtectedPagesUsers;
use yii\db\Query;
use backend\models\AppAttachments;
use yii\web\UploadedFile;

/**
 * Site controller 
 */
class SiteController extends Controller {

    /**
     * @inheritdoc
     */
    public function behaviors() {
        return [
        'access' => [
        'class' => AccessControl::className(),
        'only' => ['logout', 'signup'],
        'rules' => [
        [
        'actions' => ['signup'],
        'allow' => true,
        'roles' => ['?'],
        ],
        [
        'actions' => ['logout'],
        'allow' => true,
        'roles' => ['@'],
        ],
        ],
        ],
        'verbs' => [
        'class' => VerbFilter::className(),
        'actions' => [
        'logout' => ['post'],
        ],
        ],
        ];
    }

    /**
     * @inheritdoc
     */
    public function actions() {
        return [
        'error' => [
        'class' => 'yii\web\ErrorAction',
        ],
        'captcha' => [
        'class' => 'yii\captcha\CaptchaAction',
                // 'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
        'fixedVerifyCode' => null,
        ],
        ];
    }

    public function getVerifyCode($regenerate = false)
    {
        if ($this->fixedVerifyCode !== null) {
            return $this->fixedVerifyCode;
        }

        $session = Yii::$app->getSession();
        $session->open();
        $name = $this->getSessionKey();
        if ($session[$name] === null || $regenerate) {
            $session[$name] = $this->generateVerifyCode();
            $session[$name . 'count'] = 1;
        }

        return $session[$name];
    }
    
    public function actionAtsCal() {
        return $this->render('ats_cal');
    }
    

    public function actionLogin() {
        if (!\Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        } else {
            return $this->render('login', [
                'model' => $model,
                ]);
        } 
    }

    public function actionLogout() {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    public function actionIndex(){
        $model = new FormModel();
        if ($model->load(Yii::$app->request->post())) {
            // dd($_REQUEST);
            $hiddenVal = $_REQUEST['FormModel']['hidden1'];
            // dd($hiddenVal);
            if ($hiddenVal == 'home_quote') {
                $sender_email = $model->email;
                $data = $this->renderPartial('partials/quote_home_output', [
                    'model' => $model,
                    'formData' => $_REQUEST], true);
                // pre($data);
                // die();
                // $auto_reply = $this->renderPartial('_contact_form_receiver');

                $message = Yii::$app->mailer->compose(); 
                $message->setFrom($model->email)
                ->setTo('info@atsengg.com')
                ->setSubject('ATS Engineering - Get a Quote')
                ->setHtmlBody($data)
                ->send();

                $message = Yii::$app->mailer->compose();
                $message->setFrom('info@atsengg.com')
                ->setTo($model->email)
                ->setSubject('Re:ATS Engineering - Get a Quote')
                ->setHtmlBody("We Will Contact You Soon")
                ->send();
            }
            if ($hiddenVal == 'home_net_mtr') {
                $sender_email = $model->email;
                $data = $this->renderPartial('partials/apply-for-netmetring', [
                    'model' => $model,
                    'formData' => $_REQUEST], true);
                // pre($data);
                // die();
                // $auto_reply = $this->renderPartial('_contact_form_receiver');

                $message = Yii::$app->mailer->compose(); 
                $message->setFrom($model->email)
                ->setTo('info@atsengg.com')
                ->setSubject('ATS Engineering - Apply For Net Metring')
                ->setHtmlBody($data)
                ->send();

                $message = Yii::$app->mailer->compose();
                $message->setFrom('info@atsengg.com')
                ->setTo($model->email)
                ->setSubject('Re:ATS Engineering - Apply For Net Metring')
                ->setHtmlBody("We Will Contact You Soon")
                ->send();
            }
            if ($hiddenVal == 'home_contact') {
                $sender_email = $model->email;
                $data = $this->renderPartial('partials/contact-home', [
                    'model' => $model,
                    'formData' => $_REQUEST], true);
                // pre($data);
                // die();
                // $auto_reply = $this->renderPartial('_contact_form_receiver');

                $message = Yii::$app->mailer->compose(); 
                $message->setFrom($model->email)
                ->setTo('info@atsengg.com')
                ->setSubject('ATS Engineering - Contact Us')
                ->setHtmlBody($data)
                ->send();

                $message = Yii::$app->mailer->compose();
                $message->setFrom('info@atsengg.com')
                ->setTo($model->email)
                ->setSubject('Re:ATS Engineering - Contact Us')
                ->setHtmlBody("We Will Contact You Soon")
                ->send();
            }
            
            Yii::$app->session->setFlash('success', 'Congratulations! Your message has been successfully Sent.');
        }
        
        return $this->render('index', ['model' => new FormModel(),]);
    }

    public function actionProfile() {
        return $this->render('profile');
    }

    public function actionSolarSystems() {
        return $this->render('solar-systems');
    }

    public function actionFabrications() {
        return $this->render('fabrications');
    }
    
    // public function actionSolarSystemsDetail() {
    //     return $this->render('solar-systems-detail');
    // }
    public function actionSolarSystemsDetail($id = NULL) {
        if (isset($id) && $id != NULL) {
            $solarsystem = PsPosts::getOnePost($id);
        }
        return $this->render('solar-systems-detail', ['solarsystem' => $solarsystem]); 
    }

    public function actionClientsTestimonials() {
        return $this->render('clients-testimonials');
    }

    public function actionBecomeAReseller() {
        $model = new FormModel();
        if ($model->load(Yii::$app->request->post())) {
            $sender_email = $model->email;
            // dd($_REQUEST);
            $data = $this->renderPartial('partials/quotation-request', [
                'model' => $model,
                'formData' => $_REQUEST], true);
            // pre($data);
            // die();
            // $auto_reply = $this->renderPartial('_contact_form_receiver');

            $message = Yii::$app->mailer->compose(); 
            $message->setFrom($model->email)
            ->setTo('info@atsengg.com')
            ->setSubject('ATS Engineering - Become A Reseller')
            ->setHtmlBody($data)
            ->send();

            $message = Yii::$app->mailer->compose();
            $message->setFrom('info@atsengg.com')
            ->setTo($model->email)
            ->setSubject('Re:ATS Engineering - Become A Reseller')
            ->setHtmlBody("We Will Contact You Soon")
            ->send();
            Yii::$app->session->setFlash('success', 'Congratulations! Your message has been successfully Sent.');
        }
        return $this->render('become-a-reseller', ['model' => new FormModel(),]);
    }

    public function actionQuotation() {
        $model = new FormModel();
        if ($model->load(Yii::$app->request->post())) {
            $sender_email = $model->email;
            // dd($_REQUEST);
            $data = $this->renderPartial('partials/quotation-request', [
                'model' => $model,
                'formData' => $_REQUEST], true);
            // pre($data);
            // die();
            // $auto_reply = $this->renderPartial('_contact_form_receiver');

            $message = Yii::$app->mailer->compose(); 
            $message->setFrom($model->email)
            ->setTo('info@atsengg.com')
            ->setSubject('ATS Engineering - Request For Quotation')
            ->setHtmlBody($data)
            ->send();

            $message = Yii::$app->mailer->compose();
            $message->setFrom('info@atsengg.com')
            ->setTo($model->email)
            ->setSubject('Re:ATS Engineering - Request For Quotation')
            ->setHtmlBody("We Will Contact You Soon")
            ->send();
            Yii::$app->session->setFlash('success', 'Congratulations! Your message has been successfully Sent.');
        }
        return $this->render('quotation', ['model' => new FormModel(),]);
    }

    public function actionContact() {
        $model = new FormModel();
        if ($model->load(Yii::$app->request->post())) {
            

frontend/views/site/partials/apply-for-netmetring.php
<?php

/**
 * Email this HTML Data
 */
use yii\helpers\Html;
?>

<style>
    .table{
        border: 1px solid gray;
        width: 100%;
    }
    .table th, .table td {
        border: 1px solid #cecece !important;
    }
</style>

<p>

<html>
    <body>
        <table rules="all" style="border: 1px solid #ccc;" cellpadding="10">
            <tr style='background: #eee;'><td><strong>Name:</strong> </td><td>
                    <?= $model->name ?>
                </td></tr>
            <tr>
                <td><strong>Email:</strong> </td><td>
                    <?= $model->email ?>
                </td>
            </tr>
            <tr>
                <td><strong>Phone:</strong> </td><td>
                    <?= $model->telephone ?>
                </td>
            </tr>
            <tr>
                <td><strong>Address:</strong> </td><td>
                    <?= $model->area[0] ?>
                </td>
            </tr>            
        </table>
    </body>
</html> 

</p>


       

frontend/views/site/partials/contact-home.php
<?php

/**
 * Email this HTML Data
 */
use yii\helpers\Html;
?>

<style>
    .table{
        border: 1px solid gray;
        width: 100%;
    }
    .table th, .table td {
        border: 1px solid #cecece !important;
    }
</style>

<p>

<html>
    <body>
        <table rules="all" style="border: 1px solid #ccc;" cellpadding="10">
            <tr style='background: #eee;'><td><strong>Name:</strong> </td><td>
                    <?= $model->name ?>
                </td></tr>
            <tr>
                <td><strong>Email:</strong> </td><td>
                    <?= $model->email ?>
                </td>
            </tr>
            <tr>
                <td><strong>Phone:</strong> </td><td>
                    <?= $model->telephone ?>
                </td>
            </tr>
            <tr>
                <td><strong>Address:</strong> </td><td>
                    <?= $model->subject ?>
                </td>
            </tr>
            
            <tr>
                <td><strong>Comments:</strong> </td><td>
                    <?= $model->query ?>
                </td>
            </tr>
            
        </table>
    </body>
</html> 

</p>


       

frontend/views/site/partials/contactus-page.php
<?php

/**
 * Email this HTML Data
 */
use yii\helpers\Html;
?>

<style>
    .table{
        border: 1px solid gray;
        width: 100%;
    }
    .table th, .table td {
        border: 1px solid #cecece !important;
    }
</style>

<p>

<html>
    <body>
        <table rules="all" style="border: 1px solid #ccc;" cellpadding="10">
            <tr style='background: #eee;'><td><strong>Name:</strong> </td><td>
                    <?= $model->name ?>
                </td></tr>
            <tr>
                <td><strong>Email:</strong> </td><td>
                    <?= $model->city ?>
                </td>
            </tr>
            <tr>
                <td><strong>Phone:</strong> </td><td>
                    <?= $model->telephone ?>
                </td>
            </tr>
            <tr>
                <td><strong>Email:</strong> </td><td>
                    <?= $model->email ?>
                </td>
            </tr>
            <tr>
                <td><strong>Address:</strong> </td><td>
                    <?= $model->address1 ?>
                </td>
            </tr> 
            <tr>
                <td><strong>Description:</strong> </td><td>
                    <?= $model->query ?>
                </td>
            </tr>
        </table>
    </body>
</html> 

</p>


       

frontend/views/site/partials/faq_ajax.php
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabel"><?= $model['post_title']?></h4>
      </div>
      <div class="modal-body">
        <?php  
          $content = decodeDetails($model['post_content']);
          $ans = $content['answer'];
          // dd($ans);
        ?>
        <p><?= $ans; ?></p>
      </div>
    </div>
  </div>
</div>

frontend/views/site/partials/febr_detail.php
<?php  
	use backend\models\PsPosts;
	use backend\models\AppAttachments;
	use yii\helpers\Url;
?>

<section class="solar_systems first">
	<div class="container">
		<div class="row">
			<div class="col-md-12">
				<div class="main_heading">
					<h1><?= $model['post_title'];?></h1>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="col-md-3">
				<div class="solar_system_sidebar">
					<ul>
						<?php  
							$fabri = PsPosts::getPost('febrications');
							foreach ($fabri as $key => $fabr):
							$f_id = $fabr['id'];
							$f_title = $fabr['post_title'];
						?>
						<li><a class="f_id" data-id="<?=$f_id;?>"><?= $f_title; ?></a></li>
						<?php endforeach; ?>
						
					</ul>
				</div>
			</div>

			<div class="col-md-9">
				<div class="desc">
					<div class="main_img">
						<?php  
							$id = $model['id'];
							$f_content = decodeDetails($model['post_content']);
							$f_detail = $f_content['detail'];
							$feb_img = AppAttachments::getAllAttachments($id);
							$file_path = $feb_img[0]['file_path'];
						?>
						<img src="<?= (isset($file_path) ? $this->theme->baseUrl.'/'.$file_path : $this->theme->baseUrl.'/images/not-found.jpg')?>">
					</div>
					<p><?= $f_detail; ?></p>
				</div>
			</div>
		</div>
		
	</div>
</section>


<div class="container">
	<div class="row">
		<div class="col-md-12">
			<div class="main_heading">
				<h1>Related Images</h1>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-12">
			<ul id="lightgallery" class="list-unstyled row">
				<?php  
				
				$all_img = AppAttachments::getAllAttachments($id);
				foreach ($all_img as $key => $value):
				$file_path = $value['file_path'];
				?>
				<li class="col-xs-6 col-sm-4 col-md-3 no_padding" data-src="<?= $this->theme->baseUrl.'/'.$file_path;?>" data-sub-html="">
					<a href="">
						<figure class="imghvr-zoom-in"><img src="<?= (isset($file_path) ? $this->theme->baseUrl.'/'.$file_path : $this->theme->baseUrl.'/images/not-found.jpg')?>">
				            <figcaption>
				            	<i class="fa fa-search"></i>
				            </figcaption>
				        </figure>
				    </a>
				</li>
			<?php endforeach; ?>
		</div>
	</div>
</div>

frontend/views/site/partials/part_downloads.php
<?php  
	use backend\models\AppAttachments;
?>

<div class="downloads_list">
	<ul>
		<?php  

		// $downloads = AppAttachments::getAllDocuments($id);
							// dd($downloads);
		foreach ($model as $key => $down):
			$file_name = $down['file_name'];
			$file_path = $down['file_path'];
			?>
			<li>
				<a target="_blank" href="<?= (isset($file_path) ? $this->theme->baseUrl.'/'.$file_path : $this->theme->baseUrl.'/images/not-found.jpg')?>">
					<?= $file_name; ?><span><img src="images/download.png"></span>
				</a>
			</li>
		<?php endforeach ?>
	</ul>
</div>

frontend/views/site/partials/proj_city_wise.php
<?php  
	// dd($model);
	use backend\models\AppAttachments;
	use yii\helpers\Url;
?>
<?php  
foreach ($model as $key => $value){
	$id = $value['id'];
	// dd($);
	$content = decodeDetails($value['post_content']);
	$title = $content['title'];
	$detail = $content['detail'];
	$attachment = AppAttachments::getAllAttachments($id);
	$file_path = $attachment[0]['file_path'];
	// dd($file_path);
?>
<div class="col-md-4 col-sm-6 no_padding">
	<a href="javascript:void(0)" data-id="<?= $id ?>" class="proj_detail">
		<div class="proj_box">
			<div class="proj_img">

				<img src="<?= (isset($file_path) ? $this->theme->baseUrl.'/'.$file_path : $this->theme->baseUrl.'/images/not-found.jpg')?>" alt="">
			</div>
			<div class="item-content">
				<h4>
					<?= $title; ?>
				</h4>

				<p><?= strip_tags(limitedWords($detail,90)); ?></p>
			</div>
			<!-- <div class="proj_icon">
				<i class="fa fa-user"></i>
			</div> -->
		</div>
	</a>
</div>
<?php } ?>

frontend/views/site/partials/proj_country_wise.php
<?php  
	// dd($model);
	use backend\models\AppAttachments;
	use yii\helpers\Url;
?>
<?php  
foreach ($model as $key => $value){
	$id = $value['id'];
	// dd($id);
	$content = decodeDetails($value['post_content']);
	$title = $content['title'];
	$detail = $content['detail'];
	$attachment = AppAttachments::getAllAttachments($id);
	$file_path = $attachment[0]['file_path'];
	// dd($file_path);
?>
<div class="col-md-4 col-sm-6 no_padding">
	<a href="javascript:void(0)" data-id="<?= $id ?>" class="proj_detail">
		<div class="proj_box">
			<div class="proj_img">

				<img src="<?= (isset($file_path) ? $this->theme->baseUrl.'/'.$file_path : $this->theme->baseUrl.'/images/not-found.jpg')?>" alt="">
			</div>
			<div class="item-content">
				<h4>
					<?= $title; ?>
				</h4>

				<p><?= strip_tags(limitedWords($detail,90)); ?></p>
			</div>
			<!-- <div class="proj_icon">
				<i class="fa fa-user"></i>
			</div> -->
		</div>
	</a>
</div>
<?php } ?>

frontend/views/site/partials/projects_detail.php
<div class="project_details">
	<?php  
		// dd($model);
		$proj_title = $model['post_title'];
		$proj_desc = decodeDetails($model['post_content']);
		$proj_detail = $proj_desc['detail'];
		?>

		<h2><?= $proj_title; ?></h2>
		<div class="back">
			<a href="">Back</a>
		</div>
	
	<div class="proj_desc">
		<p><?= $proj_detail; ?></p>
	</div>
</div>

frontend/views/site/partials/quotation-request.php
<?php

/**
 * Email this HTML Data
 */
use yii\helpers\Html;
?>

<style>
    .table{
        border: 1px solid gray;
        width: 100%;
    }
    .table th, .table td {
        border: 1px solid #cecece !important;
    }
</style>

<p>

<html>
    <body>
        <table rules="all" style="border: 1px solid #ccc;" cellpadding="10">
            <tr style='background: #eee;'><td><strong>Name:</strong> </td><td>
                    <?= $model->name ?>
                </td></tr>
            <tr>
                <td><strong>Email:</strong> </td><td>
                    <?= $model->city ?>
                </td>
            </tr>
            <tr>
                <td><strong>Phone:</strong> </td><td>
                    <?= $model->telephone ?>
                </td>
            </tr>
            <tr>
                <td><strong>Business:</strong> </td><td>
                    <?= $model->business ?>
                </td>
            </tr>
            <tr>
                <td><strong>Solution:</strong> </td><td>
                    <?= $model->solution[0] ?>
                </td>
            </tr>
            <tr>
                <td><strong>Home Address:</strong> </td><td>
                    <?= $model->address1 ?>
                </td>
            </tr>         
            <tr>
                <td><strong>Business Address:</strong> </td><td>
                    <?= $model->address2 ?>
                </td>
            </tr>   
            <tr>
                <td><strong>Description:</strong> </td><td>
                    <?= $model->query ?>
                </td>
            </tr>
        </table>
    </body>
</html> 

</p>


       

frontend/views/site/partials/quote_home_output.php
<?php

/**
 * Email this HTML Data
 */
use yii\helpers\Html;
?>

<style>
    .table{
        border: 1px solid gray;
        width: 100%;
    }
    .table th, .table td {
        border: 1px solid #cecece !important;
    }
</style>

<p>

<html>
    <body>
        <table rules="all" style="border: 1px solid #ccc;" cellpadding="10">
            <tr style='background: #eee;'><td><strong>Name:</strong> </td><td>
                    <?= $model->name ?>
                </td></tr>
            <tr>
                <td><strong>Email:</strong> </td><td>
                    <?= $model->email ?>
                </td>
            </tr>
            <tr>
                <td><strong>Phone:</strong> </td><td>
                    <?= $model->telephone ?>
                </td>
            </tr>
            <tr>
                <td><strong>Address:</strong> </td><td>
                    <?= $model->subject ?>
                </td>
            </tr>
            
            <tr>
                <td><strong>Comments:</strong> </td><td>
                    <?= $model->query ?>
                </td>
            </tr>
            
        </table>
    </body>
</html> 

</p>


       

frontend/views/site/partials/sidebar_projects.php
<?php  
	use backend\models\PsPosts;
	use backend\models\AppAttachments;
	use yii\helpers\Url;
?>

<div class="main_heading">
	<div class="projects_tabs">
		<!-- Nav tabs -->
		

		<ul class="nav nav-tabs" role="tablist">
			<?php  
				$main_area_list = PsPosts::getPost('main_areas');
				foreach ($main_area_list as $key => $value):
					$main_area = $value['post_title'];
					$m_id = $value['id'];

					if (isset($proj_id)){ ?>
					<li role="presentation" class="<?= ($m_id == $proj_id) ? 'active' : '' ?>">
					<a class="nation_world_wide" data-id="<?= $value['id']; ?>" href="#<?= $value['id']; ?>" aria-controls="projects" role="tab" data-toggle="tab"><?= $main_area; ?></a></li>
					<?php }else{ ?>
					<li role="presentation" class="<?= ($key == 0) ? 'active' : '' ?>">
					<a class="nation_world_wide" data-id="<?= $value['id']; ?>" href="#<?= $value['id']; ?>" aria-controls="projects" role="tab" data-toggle="tab"><?= $main_area; ?></a></li>
					<?php } ?>
			<?php endforeach ?>
		</ul>

		<!-- Tab panes -->
		<div class="tab-content">
			
			<?php 
			$main_area_list = PsPosts::getPost('main_areas');
			foreach ($main_area_list as $key => $value): 
				$id = $value['id'];

				// dd($id);
			?>
			<?php if (isset($proj_id)){ ?>
				<div  role="tabpanel" class="n_w_wide tab-pane <?= ($id == $proj_id) ? 'active' : ''?>" id="<?= $id; ?>">

			<?php }else{ ?>
			<div  role="tabpanel" class="n_w_wide tab-pane <?= ($key == 0) ? 'active' : ''?>" id="<?= $id; ?>">
				<?php } ?>
				<nav>

				    <ul class="nav provinces">
			    	<?php  
					// dd($id);
			    	if ($id == 8){
					$provinces_list = PsPosts::getPostWithParentOrder('provinces',$id);

					foreach ($provinces_list as $key => $prov) {
						$prov_id = $prov['id'];
						
						$content = decodeDetails($prov['post_content']);
						$province = $content['province'];
						?>
						<li><a href="javascript:void(0)" id="btn-1" data-toggle="collapse" data-target="#submenu<?= $key?>" aria-expanded="false"><?= $province ?></a>
							<ul class="nav collapse" id="submenu<?= $key?>" role="menu" aria-labelledby="btn-1">
								<?php 
								$cities = PsPosts::getCityAgainstProvince('cities',$prov_id);
								// dd($cities);
								foreach ($cities as $key => $cty):
									$cty_id = $cty['id'];
									$city = $cty['post_title'];
									// dd($cty_id);
							?>
							<li><a href="javascript:void(0)" data-id="<?=$cty_id?>" class="link_class"><?= $city; ?></a></li>
							
								<?php endforeach ?>
							</ul>
						</li>

						<?php } }else{ ?>
						

						<!-- ========= List of countries -->
						<?php
						$countries_list = PsPosts::getPostWithParentOrder('countries',$id);
						// dd($countries_list);
						foreach ($countries_list as $key => $count) {
						$country_id = $count['id'];
						// dd($country_id);
						$content = decodeDetails($count['post_content']);
						$country = $content['country'];
						?>
						<li>
							<a href="javascript:void(0)" data-id="<?=$country_id?>" class="count_wise"><?= $country; ?></a>
						</li>
						<?php } }?>
					</ul>
				</nav>						
			</div>
			<?php endforeach ?>
		</div>
	</div>
</div>

frontend/views/site/partials/sidebar_projects_detail.php
<?php  
	use backend\models\PsPosts;
	use backend\models\AppAttachments;
	use yii\helpers\Url;
?>

<div class="main_heading">
	<div class="projects_tabs">
		<!-- Nav tabs -->
		

		<ul class="nav nav-tabs" role="tablist">
			<?php  
				$main_area_list = PsPosts::getPost('main_areas');
				foreach ($main_area_list as $key => $value):
					$main_area = $value['post_title'];
			?>
			<li role="presentation" class="<?= ($key == 0) ? 'active' : '' ?>">
					<a href="#<?= $value['id']; ?>" aria-controls="projects" role="tab" data-toggle="tab"><?= $main_area; ?></a></li>
			<?php endforeach ?>
		</ul>

		<!-- Tab panes -->
		<div class="tab-content">
			
			<?php 
			$main_area_list = PsPosts::getPost('main_areas');
			foreach ($main_area_list as $key => $value): 
				$id = $value['id'];
			?>
				
			<div  role="tabpanel" class="n_w_wide tab-pane <?= ($key == 0) ? 'active' : ''?>" id="<?= $id; ?>">
				<nav>

				    <ul class="nav provinces">
				    	<?php  
					// dd($id);
					$provinces_list = PsPosts::getPostWithParentOrder('provinces',$id);
					foreach ($provinces_list as $key => $prov) {
						$prov_id = $prov['id'];
						
						$content = decodeDetails($prov['post_content']);
						$province = $content['province'];
						?>
						<li><a href="javascript:void(0)" id="btn-1" data-toggle="collapse" data-target="#submenu<?= $key?>" aria-expanded="false"><?= $province ?></a>
							<ul class="nav collapse" id="submenu<?= $key?>" role="menu" aria-labelledby="btn-1">
								<?php 
								$cities = PsPosts::getCityAgainstProvince('cities',$prov_id);
								foreach ($cities as $key => $cty):
									$cty_id = $cty['id'];
									$city = $cty['post_title'];
							?>
							<li><a href="javascript:void(0)" id="btn-1" data-toggle="collapse" data-target="#submenu<?= $cty_id.'level2'?>" aria-expanded="false"><?= $city ?></a>
								<ul class="nav collapse" id="submenu<?= $cty_id.'level2'?>" role="menu" aria-labelledby="btn-1">
									<?php 
									$projects = PsPosts::getProjectsAgainstCity('projects',$cty_id);
									foreach ($projects as $key => $proj):
										$proj_id = $proj['id'];
										$Proj_title = $proj['post_title'];
										?>
										<li><a href="<?= Url::to(['projects-detail','id'=>$proj_id]);?>"><?= $Proj_title; ?></a></li>
									<?php endforeach ?>
								</ul>
							</li>
								<?php endforeach ?>
							</ul>
						</li>
						<?php } ?>
					</ul>
				</nav>						
			</div>
			<?php endforeach ?>
		</div>
	</div>
</div>

frontend/views/site/partials/support_sidebar.php
<?php
	use yii\helpers\Url;
?>
<div class="support_sidebar">
	<ul>
		<li><a href="<?= Url::to(['site/become-a-reseller']);?>">Become a Reseller</a></li>
		<li><a href="<?= Url::to(['site/contact']);?>">Contact Us</a></li>
		<li><a href="<?= Url::to(['site/faq']);?>">FAQs</a></li>
		<li><a href="<?= Url::to(['site/ask-for-dealership']);?>">Ask for Dealership</a></li>
	</ul>
</div>